编程知识 cdmana.com

php-mysql 出错,大哥大姐帮忙看看

centOS7.0mysql顺利安装完毕(我先把mariadb-libs卸载了)

PHP顺利安装完毕


然后按照扩展: yum install php-mysql



错误:软件包:php-mysql-5.4.16-36.3.el7_2.x86_64 (updates)
          需要:libmysqlclient.so.18()(64bit)
          可用: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (base)
              libmysqlclient.so.18()(64bit)




采纳答案1:
如果不想给自己找麻烦,还是用安装脚本吧。



采纳答案2:
回 楼主(papala) 的帖子
可以使用 mysqli ,貌似是不依赖 mysql 库的



采纳答案3:
楼主您好,
欢迎来到阿里云论坛。

那现在在您的php环境中,如phpinfo的信息输出页中,有mysql的扩展信息吗?



采纳答案4:
Rephp-mysql 出错,大哥大姐帮忙看看
我度娘了很久~~找不到办法~~

实在不懂,求助了,谢谢~~

-------------------------

回 3楼ivmmff的帖子
谢谢指点,我查看一下。

版权声明
本文为[阿里云问答]所创,转载请带上原文链接,感谢
https://developer.aliyun.com/ask/243150

Scroll to Top